Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.widgets.overview
Interface OverviewMapWidget.Synchronization

All Known Implementing Classes:
  OverviewMapWidget.StandardSynchronization

Enclosing class:
  OverviewMapWidget

    public static interface OverviewMapWidget.Synchronization

The interface to implement when you want to decide on a custom relationship between the location of a main map widget and its overview.

Method Summary
`MapLocationModel` | `createOverviewLocationModel(MapWidget mainWidget)` Creates the `MapLocationModel` to be used for the overview map widget.
`void` | `moveBoth(MapWidget mainWidget, OverviewMapWidget overviewWidget, LatLng location)` Invoked to center both the main and the overview map widgets on the specified coordinate.
`void` | `syncMain(MapWidget mainWidget, OverviewMapWidget overviewWidget)` Invoked when the location of the overview map changes to apply these changes to the specified main map widget.
`void` | `syncOverview(MapWidget mainWidget, OverviewMapWidget overviewWidget)` Invoked when the location of the main map changes to apply these changes to the specified overview map widget.

Method Detail

### createOverviewLocationModel

    MapLocationModel createOverviewLocationModel(MapWidget mainWidget)

  Creates the `MapLocationModel` to be used for the overview map widget.

### syncOverview

    void syncOverview(MapWidget mainWidget,
                      OverviewMapWidget overviewWidget)

  Invoked when the location of the main map changes to apply these changes to the specified overview map widget.

### syncMain

    void syncMain(MapWidget mainWidget,
                  OverviewMapWidget overviewWidget)

  Invoked when the location of the overview map changes to apply these changes to the specified main map widget.

### moveBoth

    void moveBoth(MapWidget mainWidget,
                  OverviewMapWidget overviewWidget,
                  LatLng location)

  Invoked to center both the main and the overview map widgets on the specified coordinate.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD